Permalink
Browse files

bumped copyright years. fixed link to rdoc

  • Loading branch information...
1 parent 081d639 commit 48f9ca99ce8556d19c52c667becee513226e4f89 aurelian committed Mar 8, 2011
Showing with 11 additions and 12 deletions.
  1. +1 −1 MIT-LICENSE
  2. +6 −3 README.rdoc
  3. +2 −6 Rakefile
  4. +1 −1 VERSION
  5. +1 −1 ruby-stemmer.gemspec
View
@@ -1,4 +1,4 @@
-Copyright (c) 2008,2009 Aurelian Oancea
+Copyright (c) 2008-2011 Aurelian Oancea
Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
View
@@ -30,12 +30,15 @@ For more details about libstemmer_c please visit the {SnowBall website}[http://s
=== Rails
- # in config/environment.rb:
+ # Rails2: -- config/environment.rb:
config.gem 'ruby-stemmer', :version => '>=0.6.2', :lib => 'lingua/stemmer'
+
+ # Rails3: -- Gemfile
+ gem 'ruby-stemmer', '>=0.8.3', :lib => 'lingua/stemmer'
=== More details
-* Complete API in {RDoc format}[http://ruby-stemmer.rubyforge.org/ruby-stemmer]
+* Complete API in {RDoc format}[http://rdoc.info/github/aurelian/ruby-stemmer/master/frames]
* More usage on the {test file}[http://github.com/aurelian/ruby-stemmer/blob/master/test/lingua/test_stemmer.rb]
== Install
@@ -89,7 +92,7 @@ For further reference on stem vs. root, please check wikipedia articles on the t
== Copyright
-Copyright (c) 2008-2010 {Aurelian Oancea}[http://locknet.ro]. See MIT-LICENSE for details.
+Copyright (c) 2008-2011 {Aurelian Oancea}[http://locknet.ro]. See MIT-LICENSE for details.
== Contributors
View
@@ -18,12 +18,8 @@ begin
gem.files.exclude f
end
end
- Jeweler::GemcutterTasks.new
- # Jeweler::RubyforgeTasks.new do |rubyforge|
- # rubyforge.doc_task = "rdoc"
- # end
rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
+ puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
end
require 'rake/testtask'
@@ -42,7 +38,7 @@ begin
end
rescue LoadError
task :rcov do
- abort "RCov is not available. In order to run rcov, you must: sudo gem install spicycode-rcov"
+ abort "RCov is not available. In order to run rcov, you must: gem install rcov"
end
end
View
@@ -1 +1 @@
-0.8.3
+0.8.4
@@ -5,7 +5,7 @@
Gem::Specification.new do |s|
s.name = %q{ruby-stemmer}
- s.version = "0.8.3"
+ s.version = "0.8.4"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Aurelian Oancea", "Yury Korolev"]

0 comments on commit 48f9ca9

Please sign in to comment.